=== debian/control ===
Source: imx-codec
Section: restricted/libs
Priority: optional
Maintainer: Laci Tele <laci@boundarydevices.com>
Build-Depends: debhelper (>= 8), asciidoc, findutils (>= 4.2.28), autotools-dev, autoconf, automake, libtool, dh-python
Standards-Version: 3.9.3
Homepage: http://www.boundarydevices.com/
#Vcs-Git: https://github.com/boundarydevices


Package: imx-codec
Section: restricted/multimedia
Architecture: arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NXP Multimedia codec libs
